<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="java.util.*" %>
<%@ page import="net.sz600.basicdata.*" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.tool.SzDateHelp" %>
<%@ page import="net.sz600.organize.*" %>
<%@ page import="net.sz600.database.SzPageInfo" %>
<%@ page import="net.sz600.system.SzProperties" %>
<%@ page import="net.sz600.system.SzLevelNumber" %>
<%@ page import="net.sz600.system.SzPageHelp" %>
<%@ page import="net.sz600.flow.*" %>
<%@ page import="net.sz600.formEngine2.*" %>
<%@ include file="/sessionInfo.jsp"%>
<%
	int iLoginID = SzConvert.toInt(request.getParameter("loginID"));
	int iFormID = SzConvert.toInt(request.getParameter("FormID"));
	String condValue = SzConvert.toSpaceStr(request.getParameter("condValue"));
	String win = SzConvert.toSpaceStr(request.getParameter("win"));

	BdFormControl formControl = new BdFormControl();
    	//String assistant = formControl.getAssistant(iFormID);  

	BdMonthStat monthStat = new BdMonthStat(iFormID, condValue);

	String strDate = SzDateHelp.getDateStr();
	ArrayList list = null;
	String s[] = null;

	list = monthStat.getUserMonthStat(strDate, 0, iLoginID);
	Iterator iter = list.iterator();

	if (iter != null && iter.hasNext()) {
		s = (String[])iter.next();
	}
	if (s == null) {
		s = new String[13];
		s[3] = "";
		s[7] = "";
		s[12] = "";
	}
	StringBuffer sb = new StringBuffer("");
	sb.append("shijiBegin");
	sb.append(s[3]);
	sb.append("shijiEnd");
	sb.append("xianzhiBegin");
	sb.append(s[7]);
	sb.append("xianzhiEnd");
	sb.append("shengyuBegin");
	sb.append(s[12]);
	sb.append("shengyuEnd");
	sb.append("shengyu2Begin");
	sb.append(SzConvert.formatFloatStr(SzConvert.strDayToH(s[12])));
	sb.append("shengyu2End");	
	out.println(sb.toString());
	sb = null;

%>
